]> git.datanom.net - caldav.git/commitdiff
Project base
authorMichael Rasmussen <mir@datanom.net>
Mon, 24 Apr 2017 20:59:43 +0000 (22:59 +0200)
committerMichael Rasmussen <mir@datanom.net>
Mon, 24 Apr 2017 20:59:43 +0000 (22:59 +0200)
.gitignore [new file with mode: 0644]
AUTHORS [new file with mode: 0644]
ChangeLog [new file with mode: 0644]
Makefile.am [new file with mode: 0644]
NEWS [new file with mode: 0644]
README [new file with mode: 0644]
TODO [new file with mode: 0644]
VERSION [new file with mode: 0644]
autogen.sh [new file with mode: 0755]
src/Makefile.am [new file with mode: 0644]

diff --git a/.gitignore b/.gitignore
new file mode 100644 (file)
index 0000000..9ba066d
--- /dev/null
@@ -0,0 +1,21 @@
+COPYING
+INSTALL
+Makefile
+Makefile.in
+aclocal.m4
+autom4te.cache
+config*
+configure
+libcaldav2.geany
+libtool
+m4
+stamp*
+*.gz
+src/Makefile
+src/Makefile.in
+src/*.lo
+src/*.o
+src/*.la
+src/.deps
+src/.libs
+
diff --git a/AUTHORS b/AUTHORS
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/ChangeLog b/ChangeLog
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/Makefile.am b/Makefile.am
new file mode 100644 (file)
index 0000000..bab4d6a
--- /dev/null
@@ -0,0 +1,16 @@
+AUTOMAKE_OPTIONS = gnu
+
+SUBDIRS = src
+
+ACLOCAL_AMFLAGS = -I m4
+
+EXTRA_DIST = \
+           README \
+           COPYING \
+           AUTHORS \
+           ChangeLog \
+           INSTALL \
+           NEWS \
+           TODO \
+           autogen.sh \
+           VERSION
diff --git a/NEWS b/NEWS
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/README b/README
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/TODO b/TODO
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/VERSION b/VERSION
new file mode 100644 (file)
index 0000000..49d5957
--- /dev/null
+++ b/VERSION
@@ -0,0 +1 @@
+0.1
diff --git a/autogen.sh b/autogen.sh
new file mode 100755 (executable)
index 0000000..c9f6e38
--- /dev/null
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+echo "Rebuilding build system......"
+
+autoreconf --version 2>&1 > /dev/null 2>&1
+
+if [ $? -eq 0 ]; then
+       AUTORECONF=autoreconf
+else
+       AUTORECONF=
+fi
+
+error() {
+       echo "Missing tool: $1"
+       echo "Cannot proceed until the missing tool is available"
+       exit 1
+}
+
+if [ ! -z ${AUTORECONF} ]; then
+       echo "Using autoreconf to rebuild build system"
+       autoreconf --force --install --symlink
+else
+       echo "No autoreconf found. Using plain old tools to rebuild build system"
+       libtoolize --automake --force || error libtoolize
+       aclocal -I m4|| error aclocal
+       autoheader --force || error autoheader
+       automake --add-missing --force-missing --gnu || error automake
+       autoconf --force || error autoconf
+fi
+./configure --enable-maintainer-mode $*
+
+exit 0
diff --git a/src/Makefile.am b/src/Makefile.am
new file mode 100644 (file)
index 0000000..0550453
--- /dev/null
@@ -0,0 +1,28 @@
+AUTOMAKE_OPTIONS = gnu
+
+AM_CPPFLAGS = \
+               @GLIB_CFLAGS@ \
+               @CURL_CFLAGS@ \
+               -I$(top_srcdir) -I$(top_builddir) \
+               -I$(top_srcdir)/src -I$(top_builddir)/src
+
+lib_LTLIBRARIES = libcaldav.la
+
+libcaldav_la_SOURCES = \
+               caldav.c \
+               curllib.c
+
+nodist_include_HEADERS = \
+               globals.h \
+               curllib.h
+
+libcaldavincludedir = $(pkgincludedir)
+libcaldavinclude_HEADERS = \
+               caldav.h
+
+libcaldav_la_LDFLAGS = \
+               -version-info @LIBVERSION@
+
+libcaldav_la_LIBADD = \
+               $(GLIB_LIBS) \
+               @CURL_LIBS@
This page took 0.038896 seconds and 5 git commands to generate.